<?php

namespace Hector\Printshop;

use DB;
use Illuminate\Database\Seeder;

class ClientesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('clientes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'printshop.clientes.view',
                'name'      => 'View Clientes',
            ],
            [
                'slug'      => 'printshop.clientes.create',
                'name'      => 'Create Clientes',
            ],
            [
                'slug'      => 'printshop.clientes.edit',
                'name'      => 'Update Clientes',
            ],
            [
                'slug'      => 'printshop.clientes.delete',
                'name'      => 'Delete Clientes',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/printshop/clientes',
                'name'        => 'Clientes',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/printshop/clientes',
                'name'        => 'Clientes',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'clientes',
                'name'        => 'Clientes',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Printshop',
                'module'    => 'Clientes',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'printshop.clientes.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
