Lavalite package that provides printshop management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hector/printshop`.

    "hector/printshop": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hector\Printshop\Providers\PrintshopServiceProvider::class,

And also add it to alias

    'Printshop'  => Hector\Printshop\Facades\Printshop::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hector\\PrintshopTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hector\Printshop\Providers\PrintshopServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hector\Printshop\Providers\PrintshopServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hector\Printshop\Providers\PrintshopServiceProvider" --tag="view"


## Usage


